%define		major 6
%define		minor 2
%define		libname %mklibname %{name} %{major}
%define		devel %mklibname -d %{name}

#define         git 20200503
%define         rel 1
%define         _vpath_builddir build

Name:		fmt
Version:	6.2.1
%define     subrel 1
Release:	%mkrel %{?git:-c git%{git}} %{rel}
Summary:	Small, safe and fast formatting library
Group:		Development/C++
License:	BSD
URL:		https://fmt.dev/
Source0:	https://github.com/fmtlib/fmt/archive/%{?git:master/}%{?!git:%{version}/}%{name}-%{version}%{?git:-git%{git}}.tar.gz

BuildRequires:	cmake

%description
fmt is an open-source formatting library for C++. It can be used as a safe
alternative to printf or as a fast alternative to IOStreams.

%package -n	%{devel}
Summary:	Development files for libfmt
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel
Conflicts:  %{_lib}fmt5 < 6.2.1

%description -n	%{devel}
This package contains the development header files, libraries
and cmake files for libfmt

%package -n	%{libname}
Summary:	The libfmt libraries
Group:		Development/C++

%description -n	%{libname}
This package contains the library for libfmt

%prep
%autosetup -n %{name}-%{?git:master}%{?!git:%{version}}

%build
%cmake
%make

%install
%makeinstall_std -C %{_vpath_builddir}

%files -n	%{devel}
%{_includedir}/%{name}/
%{_libdir}/cmake/%{name}/
%{_libdir}/libfmt.so
%{_libdir}/pkgconfig/%{name}.pc

%files -n	%{libname}
%{_libdir}/libfmt.so.%{major}
%{_libdir}/libfmt.so.%{major}.%{minor}{,.*}



%changelog
* Sat Jun 06 2020 neoclust <neoclust> 6.2.1-1.1.mga7
+ Revision: 1590666
- Fix conflicts
  Fix URL
- Commit new version 6.2.1

* Mon Oct 15 2018 kekepower <kekepower> 5.2.1-1.mga7
+ Revision: 1320431
- Update to version 5.2.1

* Sun Sep 23 2018 umeabot <umeabot> 4.1.0-2.mga7
+ Revision: 1297735
- Mageia 7 Mass Rebuild

* Wed Jan 31 2018 kekepower <kekepower> 4.1.0-1.mga7
+ Revision: 1198207
- imported package fmt

